import './styles/index.scss';

import { drawLaser } from './components/laser';
import { pagePrix } from './components/prix';
import { authorAvis, closeNote, faq, menuButton, spinner, videoStop } from './components/script';
import { avisSwiper, mediaSwiper, specialistSwiper } from './components/swiper';
import { checkLang } from './utils/checkLang';
import { convertToLocal } from './utils/convertToLocal';
window.Webflow ||= [];
window.Webflow.push(() => {
  //Slider init
  avisSwiper();
  mediaSwiper();
  specialistSwiper();

  //Close menu Mobile
  menuButton();

  checkLang();
  //Script effacer laser
  drawLaser();

  pagePrix();

  //Animation Spinner
  spinner();
  //Faq init
  faq();
  // Ajout étoiles avis
  authorAvis();

  closeNote();

  videoStop();

  //Convert dates to local
  const allDates = $('.dateclass');
  const allDays = $('.dayclass');

  convertToLocal('m', allDates);
  convertToLocal('d', allDays);
});
